<?php
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.application.component.model');

class dragModeldrag extends JModel
{
	var $_table_prefix = null;
	
	function __construct()
	{
		parent::__construct();
	  	$this->_table_prefix = '#__';
	  	global $mainframe;
	}
	function getPositions()
	{
		jimport('joomla.filesystem.folder');

		$client =& JApplicationHelper::getClientInfo($this->getState('clientId'));
		if ($client === false) {
			return false;
		}
		$db	=& JFactory::getDBO();
		$query = 'SELECT DISTINCT(template) AS text, template AS value'.
				' FROM #__templates_menu' .
				' WHERE client_id = '.(int) $client[0]->id;
		$db->setQuery( $query );
		$templates = $db->loadObjectList();
		$query = 'SELECT DISTINCT(position)'.
				' FROM #__modules' .
				' WHERE client_id = '.(int) $client[0]->id;
		$db->setQuery( $query );
		$positions = $db->loadResultArray();
		$positions = (is_array($positions)) ? $positions : array();
		for ($i = 0, $n = count($templates); $i < $n; $i++ )
		{
			$path = $client[0]->path.DS.'templates'.DS.$templates[$i]->value;

			$xml =& JFactory::getXMLParser('Simple');
			if ($xml->loadFile($path.DS.'templateDetails.xml'))
			{
				$p =& $xml->document->getElementByPath('positions');
				if (is_a($p, 'JSimpleXMLElement') && count($p->children()))
				{
					foreach ($p->children() as $child)
					{
						if (!in_array($child->data(), $positions)) {
							$positions[] = $child->data();
						}
					}
				}
			}
		}

		if(defined('_JLEGACY') && _JLEGACY == '1.0')
		{
			$positions[] = 'left';
			$positions[] = 'right';
			$positions[] = 'top';
			$positions[] = 'bottom';
			$positions[] = 'inset';
			$positions[] = 'banner';
			$positions[] = 'header';
			$positions[] = 'footer';
			$positions[] = 'newsflash';
			$positions[] = 'legals';
			$positions[] = 'pathway';
			$positions[] = 'breadcrumb';
			$positions[] = 'user1';
			$positions[] = 'user2';
			$positions[] = 'user3';
			$positions[] = 'user4';
			$positions[] = 'user5';
			$positions[] = 'user6';
			$positions[] = 'user7';
			$positions[] = 'user8';
			$positions[] = 'user9';
			$positions[] = 'advert1';
			$positions[] = 'advert2';
			$positions[] = 'advert3';
			$positions[] = 'debug';
			$positions[] = 'syndicate';
		}

		$positions = array_unique($positions);
		sort($positions);
		
		$this->_positions = $positions;
		return $this->_positions;
	}
	
	function getData()
	{
		if (empty($this->_data))
		{
			$query = $this->_buildQuery();
			$this->_data = $this->_getList($query);
		}		
		return $this->_data;
	}

	
	function getTotal()
	{
		if (empty($this->_total))
		{
			$query = $this->_buildQuery();
			$this->_total = $this->_getListCount($query);
		}
		return $this->_total;
	}
  	
	function _buildQuery()
	{
		$orderby = $this->_buildContentOrderBy();
		$query =' SELECT id, title, ordering, position, published, module'.
				' FROM #__modules'.
				' WHERE module LIKE "mod_%" AND client_id=0 '.
				$orderby;	
		return $query;
	}
	
	function _buildContentOrderBy()
	{
		$orderby 	= ' ORDER BY ordering ';
		return $orderby;
	}

	function getMenujdata()
	{
		if (empty($this->_menujdata))
		{
		$query =' SELECT m.id, m.menutype, m.name, m.published, mt.title'.
				' FROM #__menu AS m'.
				' LEFT JOIN #__menu_types AS mt'.
				' ON mt.menutype = m.menutype'.
				' ORDER BY mt.id, m.id';
		}			
		$this->_menujdata = $this->_getList($query);
		return $this->_menujdata;
	}
}
?>