<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.application.component.view' );

class jposition_detailVIEWjposition_detail extends JView
{
	function __construct( $config = array())
	{ 
 	 global $context;
	 $context = 'jposition.list.';
 	 parent::__construct( $config );
	}
 
	function display($tpl = null)
	{	 
		global $mainframe, $context;
		
		$document = & JFactory::getDocument();
		$document->setTitle( JText::_('J!Position') );
    	JToolBarHelper::title(   JText::_( 'J!POSITION 2 DEMO' ), 'module.png' );
			
		$uri			= & JFactory::getURI();
		$link_to_activate_and_publish = $uri->base();
		
		//get objects from model
		$positions 		= & $this->get( 'Positions');		//object of positions
		$items			= & $this->get( 'Data');			//object of module: id, title, module, position, published
		$menu_data		= & $this->get( 'Menujdata');		//object of menu buttons: id, menutype, name, title
		
		//select modules, which are linked to current menu item
		$active_modules_ids = array();
		foreach ($items as $item)
		{
			$active_modules_ids[] = $item->id;
		}
		
		//get once again current selectef menu item
		$array = JRequest::getVar('cid',  0, '', 'array');
		$active_item = $array[0];
		
		//mark modules which are linked to selected menu item
		$modules_in_positions = array();
		$model =& $this->getModel();
		//$mip_object = false;
		
		foreach ($positions as $position)
		{
			$modules_in_positions[$position] = $model->getAllPositionModules($position);
			foreach($modules_in_positions[$position] as $key => $mip_object)
			{
				if (in_array ($mip_object->id , $active_modules_ids))
				{
					$modules_in_positions[$position][$key]->active = true;					
					//$mip_object->active = true;
				} else {
					$modules_in_positions[$position][$key]->active = false;
				}
			}
			unset($mip_object);
		}
		unset($position);
		
		//list of all menu items on a site
		$menutype_names = array();
		$menutype_types = array();
		for ($i=0, $n = count( $menu_data ); $i < $n; $i++)
			{
				$menutype_names[] = $menu_data[$i]->title;
				$menutype_types[] = $menu_data[$i]->menutype;
				if ($active_item == $menu_data[$i]->id)
				{
					$menu_data[$i]->active = true;
				}else{
					$menu_data[$i]->active = false;
				}
			}
		$menutype_names = array_values(array_unique($menutype_names));
		$menutype_types = array_values(array_unique($menutype_types));
		
		$redirect_base_link_for_publish 	= $link_to_activate_and_publish.'index.php?option=com_jposition&controller=jposition_detail&task=publish&cid[0]='.$active_item;
		$redirect_base_link_for_activate 	= $link_to_activate_and_publish.'index.php?option=com_jposition&controller=jposition_detail&task=linkto_on&cid[0]='.$active_item;
		$redirect_base_link_for_deactivate 	= $link_to_activate_and_publish.'index.php?option=com_jposition&controller=jposition_detail&task=linkto_off&cid[0]='.$active_item;
		
		//assign objects to view template
		$this->assignRef('request_url',	$uri->toString());
		$this->assignRef('link_to_activate_and_publish', 	$link_to_activate_and_publish);
		$this->assignRef('redirect_base_link_for_publish', 	$redirect_base_link_for_publish);
		
		$this->assignRef('link_to_activate', 	$redirect_base_link_for_activate);
		$this->assignRef('link_to_deactivate', 	$redirect_base_link_for_deactivate);
		
		$this->assignRef('positions',	$positions);	
		$this->assignRef('items_total',	$total_items);
		$this->assignRef('modules_in_positions', $modules_in_positions);
		$this->assignRef('menujdata',	$menu_data);
		$this->assignRef('jmenutype_names',	$menutype_names);
		$this->assignRef('jmenutype_types',	$menutype_types);

		parent::display($tpl);
  }
}

?>
