<?php
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.application.component.controller' );

class jposition_detailController extends JController
{
	function __construct( $default = array())
	{
		parent::__construct( $default );
		$this->registerTask( 'add'  	 , 'edit' );
		$this->registerTask( 'linkto_on' , 'link_module' ); 
		$this->registerTask( 'linkto_off', 'unlink_module' ); 
	}

	function edit()
	{
		parent::display();

	}
	
	function link_module()
	{
		global $mainframe;
		
		$cid 		= JRequest::getVar('cid');
		$module_id	= JRequest::getVar('singlemodule');
		$module_name= JRequest::getVar('modulename');

		if (!is_array( $cid ) || count( $cid ) < 1) {
			JError::raiseError(500, JText::_( 'Select an item to link' ) );
		}
		$menu_item_active = $cid[0];
	
		$msg = 'Unable link module '.$module_name.' This feature does not available in a free version. <a href="http://members.style13.com" style="color:#FFFFFF">Click here to buy</a>';
		$this->setRedirect( 'index.php?option=com_jposition&controller=jposition_detail&task=edit&cid[0]='.$menu_item_active, $msg );
	}

	function unlink_module()
	{
		global $mainframe;
		
		$cid 		= JRequest::getVar('cid');
		$module_id	= JRequest::getVar('singlemodule');
		$module_name= JRequest::getVar('modulename');

		if (!is_array( $cid ) || count( $cid ) < 1) {
			JError::raiseError(500, JText::_( 'Select an item to unlink' ) );
		}
		
		$menu_item_active = $cid[0];
		
		$msg = 'Unable remove link from '.$module_name.' module. This feature does not available in a free version. <a href="http://members.style13.com" style="color:#FFFFFF">Click here to buy</a>';
		$this->setRedirect( 'index.php?option=com_jposition&controller=jposition_detail&task=edit&cid[0]='.$menu_item_active, $msg );
	}	
	
	function publish()
	//also unpublish 
	{
		$cid 		= JRequest::getVar( 'cid' );
		$module_id	= JRequest::getVar('singlemodule');
		$module_name= JRequest::getVar('modulename');
		
		if (!is_array( $cid ) || count( $cid ) < 1) {
			JError::raiseError(500, JText::_( 'Select an item to publish' ) );
		}
		$cid = $cid[0];
		
		$msg = 'Unable publish/unpublish '.$module_name.' module. This feature does not available in a free version. <a href="http://members.style13.com" style="color:#FFFFFF">Click here to buy</a>';
		$this->setRedirect( 'index.php?option=com_jposition&controller=jposition_detail&task=edit&cid[0]='.$cid, $msg );
	}
}
